Loading...
Searching...
No Matches
TEST Namespace Reference

## Functions

template<class T>
void | printErrorMessage (T &, bool subtest)
template<>
void | printErrorMessage (std::exception &e, bool subtest)
template<>
void | printErrorMessage (BALL::Exception::GeneralException &e, bool subtest)
template<>
void | printErrorMessage (BALL::Exception::FileNotFound &e, bool subtest)
template<class T>
void | printException (T e, bool subtest)

## Variables

int | verbose = 0
bool | all_tests = true
bool | test = true
bool | this_test
int | exception = 0
string | exception_name = ""
const char * | version_string = BALL_RELEASE_STRING
bool | newline = false
list< string > | tmp_file_list
std::ifstream | infile
std::ifstream | templatefile
bool | equal_files
double | precision = 1e-6

## Function Documentation

## printErrorMessage() [1/4]

template<>

void TEST::printErrorMessage | ( | BALL::Exception::FileNotFound & | e,
|  | bool | subtest )

Definition at line 70 of file classTest.h.

## printErrorMessage() [2/4]

template<>

void TEST::printErrorMessage | ( | BALL::Exception::GeneralException & | e,
|  | bool | subtest )

Definition at line 52 of file classTest.h.

## printErrorMessage() [3/4]

template<>

void TEST::printErrorMessage | ( | std::exception & | e,
|  | bool | subtest )

Definition at line 42 of file classTest.h.

## printErrorMessage() [4/4]

template<class T>

void TEST::printErrorMessage | ( | T & | ,
|  | bool | subtest )

Definition at line 33 of file classTest.h.

## printException()

template<class T>

void TEST::printException | ( | T | e,
|  | bool | subtest )

Definition at line 87 of file classTest.h.

## Variable Documentation

## all_tests

bool TEST::all_tests = true

Definition at line 19 of file classTest.h.

## equal_files

bool TEST::equal_files

Definition at line 29 of file classTest.h.

## exception

int TEST::exception = 0

Definition at line 22 of file classTest.h.

## exception_name

string TEST::exception_name = ""

Definition at line 23 of file classTest.h.

## infile

std::ifstream TEST::infile

Definition at line 27 of file classTest.h.

## newline

bool TEST::newline = false

Definition at line 25 of file classTest.h.

## precision

double TEST::precision = 1e-6

Definition at line 30 of file classTest.h.

## templatefile

std::ifstream TEST::templatefile

Definition at line 28 of file classTest.h.

## test

bool TEST::test = true

Definition at line 20 of file classTest.h.

## this_test

bool TEST::this_test

Definition at line 21 of file classTest.h.

## tmp_file_list

list<string> TEST::tmp_file_list

Definition at line 26 of file classTest.h.

## verbose

int TEST::verbose = 0

Definition at line 18 of file classTest.h.

## version_string

const char* TEST::version_string = BALL_RELEASE_STRING

Definition at line 24 of file classTest.h.